Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Takashi Iwai <[email-masked]>
Date: Fri, 10 May 2024 09:25:25 +0200

On Fri, 10 May 2024 09:03:05 +0200,
Stephen Rothwell wrote:
> 
> Hi all,
> 
> After merging the sound-asoc tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> ld: warning: discarding dynamic section .glink
> ld: warning: discarding dynamic section .plt
> ld: linkage table error against `acp_dsp_stream_config'
> ld: stubs don't match calculated size
> ld: can not build stubs: bad value
> ld: sound/soc/sof/amd/acp-probes.o: in function `acp_probes_compr_shutdown':
> acp-probes.c:(.text.acp_probes_compr_shutdown+0x8c): undefined reference to `acp_dsp_stream_put'
> ld: sound/soc/sof/amd/acp-probes.o: in function `acp_probes_compr_startup':
> acp-probes.c:(.text.acp_probes_compr_startup+0x84): undefined reference to `acp_dsp_stream_get'
> ld: sound/soc/sof/amd/acp-probes.o: in function `acp_probes_compr_set_params':
> acp-probes.c:(.text.acp_probes_compr_set_params+0x108): undefined reference to `acp_dsp_stream_config'
> ld: acp-probes.c:(.text.acp_probes_compr_set_params+0x140): undefined reference to `acp_dsp_stream_put'
> ld: sound/soc/sof/amd/renoir.o:(.toc+0x0): undefined reference to `sof_acp_common_ops'
> ld: sound/soc/sof/amd/rembrandt.o:(.toc+0x0): undefined reference to `sof_acp_common_ops'
> ld: sound/soc/sof/amd/vangogh.o:(.toc+0x0): undefined reference to `sof_acp_common_ops'
> ld: sound/soc/sof/amd/acp63.o:(.toc+0x0): undefined reference to `sof_acp_common_ops'
> 
> Caused by commit
> 
>   9c2f5b6eb8b7 ("ASoC: SOF: Use *-y instead of *-objs in Makefile")
> 
> I am not sure why, but reverting that commit fixed the build, so I have
> done that for today.

Ah, there is a bug in the original Makefile that didn't use "+=",
hence it overrides.  I'm going to submit a fix patch.

thanks,

Takashi